- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSDipParam Class Reference

`#include <OSDipParam.h>`

List of all members.

## Public Member Functions
void | getSettings (UtilParameters &utilParam)
void | dumpSettings (ostream *os=&cout)
| OSDipParam ()
| ~OSDipParam ()
## Public Attributes
int | LogLevel
string | DataDir
string | OSiLFile
string | OSoLFile
string | solverFactory
int | UseNames
int | UseSparse
int | FullModel
double | BestKnownLB
double | BestKnownUB
double | ColumnUB
double | ColumnLB

## Detailed Description

Storage for parameters for the OSDip Problem ().

Todo:
  think about this design, register parameters, isoptional combos that violate, throw exceptions

Definition at line 31 of file OSDipParam.h.

## Constructor & Destructor Documentation

OSDipParam::OSDipParam | ( |  | ) | `[inline]`

Definition at line 91 of file OSDipParam.h.

OSDipParam::~OSDipParam | ( |  | ) | `[inline]`

Definition at line 106 of file OSDipParam.h.

## Member Function Documentation

void OSDipParam::getSettings | ( | UtilParameters & | utilParam | ) | `[inline]`

Definition at line 53 of file OSDipParam.h.

References BestKnownLB, BestKnownUB, ColumnLB, ColumnUB, DataDir, FullModel, LogLevel, OSiLFile, OSoLFile, solverFactory, UseNames, and UseSparse.

Referenced by OSDipApp::initializeApp().

void OSDipParam::dumpSettings | ( | ostream * | os = `&cout` | ) | `[inline]`

Definition at line 70 of file OSDipParam.h.

References BestKnownLB, BestKnownUB, ColumnLB, ColumnUB, DataDir, FullModel, LogLevel, OSiLFile, OSoLFile, solverFactory, UseNames, and UseSparse.

Referenced by OSDipApp::initializeApp().

## Member Data Documentation

int OSDipParam::LogLevel

Definition at line 36 of file OSDipParam.h.

Referenced by OSDipApp::createModelMasterOnlys2(), OSDipApp::createModels(), dumpSettings(), OSDipApp::generateInitVars(), getSettings(), OSDipApp::initializeApp(), and OSDipApp::solveRelaxed().

string OSDipParam::DataDir

Definition at line 37 of file OSDipParam.h.

Referenced by dumpSettings(), getSettings(), and OSDipApp::initializeApp().

string OSDipParam::OSiLFile

Definition at line 38 of file OSDipParam.h.

Referenced by dumpSettings(), getSettings(), and OSDipApp::initializeApp().

string OSDipParam::OSoLFile

Definition at line 39 of file OSDipParam.h.

Referenced by dumpSettings(), getSettings(), and OSDipApp::initializeApp().

string OSDipParam::solverFactory

Definition at line 40 of file OSDipParam.h.

Referenced by dumpSettings(), getSettings(), and OSDipApp::initializeApp().

int OSDipParam::UseNames

Definition at line 41 of file OSDipParam.h.

Referenced by OSDipApp::createModelPart(), dumpSettings(), and getSettings().

int OSDipParam::UseSparse

Definition at line 42 of file OSDipParam.h.

Referenced by dumpSettings(), and getSettings().

int OSDipParam::FullModel

Definition at line 43 of file OSDipParam.h.

Referenced by dumpSettings(), and getSettings().

double OSDipParam::BestKnownLB

Definition at line 44 of file OSDipParam.h.

Referenced by dumpSettings(), and getSettings().

double OSDipParam::BestKnownUB

Definition at line 45 of file OSDipParam.h.

Referenced by dumpSettings(), and getSettings().

double OSDipParam::ColumnUB

Definition at line 46 of file OSDipParam.h.

Referenced by OSDipApp::createModelMasterOnlys2(), dumpSettings(), and getSettings().

double OSDipParam::ColumnLB

Definition at line 47 of file OSDipParam.h.

Referenced by OSDipApp::createModelMasterOnlys2(), dumpSettings(), and getSettings().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/osDip/OSDipParam.h